<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));

$sessao = new sessao();
$amostraLong=$sessao->getVar('amostraLong');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
$finalidade=$sessao->getVar('finalidade');
$dataHoje=date("d/m/Y"); 


if($amostraLong>0)
{
	//echo "nao nulo<br>";
	$userAmostra = new amostras();
    $userAmostra->extras_select =  " where fic_id=".$amostraLong;
    $userAmostra->selecionaCampos($userAmostra);
    while ($resAmostra = $userAmostra->retornaDados()):
        $amostraLong=$resAmostra->fic_id;
        $idCultivar=$resAmostra->fic_cultivar;
        $idProdutor=$resAmostra->fic_produtor;
        $idAmostrador=$resAmostra->fic_amostrador;
        $ultima=$resAmostra->fic_amostra;
    endwhile;		
	$sessao->setVar('amostraLong', $amostraLong);
	$sessao->setVar('idCultivar',$idCultivar);
	$sessao->setVar('idProdutor',$idProdutor);
	$sessao->setVar('idAmostrador',$idAmostrador);
	$sessao->setVar('ultima',$ultima);
}
else
{
     $amostraLong=$objetocalculo->achaUltima();
	 $idCultivar=$sessao->getVar($idCultivar);
	 $idProdutor=$sessao->getVar($idProdutor);
	 $idAmostrador=$sessao->getVar($idAmostrador);
}

//echo("amostraLong= $amostraLong<br");

	

//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela<br>");
switch ($tela):
    case 'editarGerente':
	   	  //aqui os comandos fechar e reabrir
      if(post('bt_salvar') !== ""):
	    		   //GRAVA AS LEITURAS DiRETO NA REAN
				   $nomeGerente=post('nomeGerente');
				   $dataGerente=post('dataGerente');
				   $concatenado=$nomeGerente .']'.$dataGerente.']';
				   $sql="update ficha set fic_obs2015_a='$concatenado' where  fic_id=".$amostraLong;
  	 	           $generica=new tabelagenerica();
				   $generica->grava_registro_com_retorno($sql); 
		           //printMSG('Gravação ok.' ,'alerta');	
	  endif;//isset do botao fechar

	
	
	
	
      //setor achar significa poder ir para outra amostra
 
		//echo("ooooooo outra $amostraLonga= $amostraLong  <br>");
	    //////vai capturar os dados da amostra////////////////
	    $concluirCalculo="SIM";
	    //ENTRA DE QUAKQUER MANEIRA
 	 	$generica=new tabelagenerica();
		$generica->tabela="especies, ficha,cultivar";
		$generica->campos_valores = array(
				"fic_lote" => NULL,
				"fic_amostra" => NULL,
				"fic_amostra_previa" => NULL,
				"esp_nome" => NULL,
				"esp_id" => NULL,
				"fic_obs2015_a" => NULL,
				
			);
		$generica->extras_select =" where  fic_cultivar=ctv_id &&  esp_id=ctv_especie &&  fic_id=" . $amostraLong;
	    $generica->selecionaCampos($generica);
		while ($resgenerica = $generica->retornaDados()):
			$lote=$resgenerica->fic_lote;
			$especie=$resgenerica->esp_nome;
			$codEspecie=$resgenerica->esp_id;
			$conteudoGerente=$resgenerica->fic_obs2015_a;
			if($finalidade=='DEFINITIVA'):
		       $amostra=$resgenerica->fic_amostra;
			else:
		       $amostra=$resgenerica->fic_amostra_previa;
			endif; 
			
			
			
			
	    endwhile;
		
        //aqui recupera os capos usando a funcao list
		list($nomeGerente,$dataGerente)= explode("]", $conteudoGerente);
		echo '<h2>Grava o gerente de qualidade e data     Amostra:'. $amostra.  ' Espécie:'. $especie. '</h2>';
	?>
    <form class="userform" method="POST" action="">
	<table>
<!--SETIMA LINHA-->
	<tr>
     <td>	 Nome Gerente   <input type="text"  name="nomeGerente" maxlength="20" size="15" value="<?php echo $nomeGerente;?>"/></td>	
     <td>	 Data abonação  <input type="text"  name="dataGerente" maxlength="12" size="15" value="<?php echo $dataGerente;?>"/></td>	
	</tr>
</table>
	</table>
  
 
	<td>
		<input type="submit" name="bt_salvar" value="Salvar" />
	</td>	
	</form> 
					
    <?php 		 
    break;

	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>